# HostTelemetry

Host telemetry requests

## GET /v3/telemetry/host/{hostId}/memory

> Get memory telemetry for the given host (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostMemoryTelemetry":{"type":"object","required":["unit","memMax","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"memMax":{"type":"integer","format":"integer","description":"The amount of memory that is available on the host (in megabytes)","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostMemoryDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostMemoryDataTelemetry":{"type":"object","required":["timestamp","memUsed"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"memUsed":{"type":"integer","format":"integer","description":"The amount of memory that is used by the host (in megabytes)","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/{hostId}/memory":{"get":{"tags":["HostTelemetry"],"summary":"Get memory telemetry for the given host (default = last 24 hours)","operationId":"getTelemetryHostMemories","parameters":[{"name":"hostId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostMemoryTelemetry"}}}}},"404":{"description":"Error Host not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/{hostId}/cpu

> Get cpu telemetry for the given host (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostCpuTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostCpuDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostCpuDataTelemetry":{"type":"object","required":["timestamp","cpu"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"cpu":{"type":"integer","format":"integer","description":"Percentage of cpu used across all cores","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/{hostId}/cpu":{"get":{"tags":["HostTelemetry"],"summary":"Get cpu telemetry for the given host (default = last 24 hours)","operationId":"getTelemetryHostCpus","parameters":[{"name":"hostId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostCpuTelemetry"}}}}},"404":{"description":"Error Host not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/{hostId}/network

> Get network telemetry for the given host (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostNetworkTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostNetworkDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostNetworkDataTelemetry":{"type":"object","required":["timestamp","networkIngress","networkEgress"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"networkIngress":{"type":"integer","format":"integer","description":"The network's ingress in bytes","readOnly":true},"networkEgress":{"type":"integer","format":"integer","description":"The network's egress in bytes","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/{hostId}/network":{"get":{"tags":["HostTelemetry"],"summary":"Get network telemetry for the given host (default = last 24 hours)","operationId":"getTelemetryHostNetworks","parameters":[{"name":"hostId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostNetworkTelemetry"}}}}},"404":{"description":"Error Host not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/{hostId}/hdd

> Get hard disk telemetry for the given host (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostHddTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostHddDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostHddDataTelemetry":{"type":"object","required":["timestamp","hardDisk0Free","hardDisk1Free","hardDisk2Free","hardDisk3Free"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"hardDisk0Free":{"type":"integer","format":"integer","description":"The first hard disk's free space in bytes","readOnly":true},"hardDisk1Free":{"type":"integer","format":"integer","description":"The second hard disk's free space in bytes","readOnly":true},"hardDisk2Free":{"type":"integer","format":"integer","description":"The third hard disk's free space in bytes","readOnly":true},"hardDisk3Free":{"type":"integer","format":"integer","description":"The fourth hard disk's free space in bytes","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/{hostId}/hdd":{"get":{"tags":["HostTelemetry"],"summary":"Get hard disk telemetry for the given host (default = last 24 hours)","operationId":"getTelemetryHostHdds","parameters":[{"name":"hostId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostHddTelemetry"}}}}},"404":{"description":"Error Host not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/utilization

> Get the telemetry for all hosts across all providers at the current point in time

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostUtilizationTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always '1m' in this endpoint","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostUtilizationDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostUtilizationDataTelemetry":{"type":"object","required":["timestamp","hostsOccupied","hostsFree","hostsFull","hostsTotal","launched","destroyed"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"hostsOccupied":{"type":"integer","format":"integer","description":"Number of hosts that are occupied (one or more (but not the maximum amount of) application instances on them)","readOnly":true},"hostsFree":{"type":"integer","format":"integer","description":"Number of host that are free (no application instances on them)","readOnly":true},"hostsFull":{"type":"integer","format":"integer","description":"Number of host that are full (the maximum amount of application instances on them)\nSee also GET /v3/hostCapacityTemplate and GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity","readOnly":true},"hostsTotal":{"type":"integer","format":"integer","description":"Number of hosts in total","readOnly":true},"launched":{"type":"integer","format":"integer","description":"Number of launched instances since the previous entry","readOnly":true},"destroyed":{"type":"integer","format":"integer","description":"Number of destroyed instances since the previous entry","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/utilization":{"get":{"tags":["HostTelemetry"],"summary":"Get the telemetry for all hosts across all providers at the current point in time","operationId":"getTelemetryHostUtilizations","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/host/status?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostUtilizationTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/utilization/aggregate

> Get the average of server host status telemetry

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostUtilizationAggregateTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, possible interval options are as follows\n- minute\n- hour\n- day\n- month","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostUtilizationAggregateDataContainerTelemetry"},"description":"Object containing the data object grouped by timestamp and providerId","readOnly":true}},"additionalProperties":false},"HostUtilizationAggregateDataContainerTelemetry":{"type":"object","required":["timestamp","hosts"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix time in which the data was saved","readOnly":true},"hosts":{"type":"array","items":{"$ref":"#/components/schemas/HostUtilizationAggregateDataTelemetry"},"description":"List containing the telemetry data grouped by providerId","readOnly":true}},"additionalProperties":false},"HostUtilizationAggregateDataTelemetry":{"type":"object","required":["providerId","hostsOccupied","hostsFree","hostsFull","hostsTotal","launched","destroyed"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"hostsOccupied":{"type":"integer","format":"integer","description":"Number of hosts that are occupied (one or more (but not the maximum amount of) application instances on them)","readOnly":true},"hostsFree":{"type":"integer","format":"integer","description":"Number of host that are free (no application instances on them)","readOnly":true},"hostsFull":{"type":"integer","format":"integer","description":"Number of host that are full (the maximum amount of application instances on them)\nSee also [`GET /v3/hostCapacityTemplate`](#/HostCapacityTemplate/getHostCapacityTemplates) and\n[`GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity`](#/InstanceTypeCapacity/getHostCapacityTemplateInstanceTypeCapacities)","readOnly":true},"hostsTotal":{"type":"integer","format":"integer","description":"Number of hosts in total","readOnly":true},"launched":{"type":"integer","format":"integer","description":"Number of launched instances since the previous entry","readOnly":true},"destroyed":{"type":"integer","format":"integer","description":"Number of destroyed instances since the previous entry","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/utilization/aggregate":{"get":{"tags":["HostTelemetry"],"summary":"Get the average of server host status telemetry","operationId":"getTelemetryHostUtilizationAggregates","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/host/status/aggregate?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}},{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostUtilizationAggregateTelemetry"}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/hardwareCapacity

> List the historical data of hardware capacity of all your Hosts

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostHardwareCapacityTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostHardwareCapacityDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostHardwareCapacityDataTelemetry":{"type":"object","required":["timestamp","value"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"value":{"allOf":[{"$ref":"#/components/schemas/HostHardwareCapacityDataValueTelemetry"}],"description":"The value of data at this timestamp","readOnly":true}},"additionalProperties":false},"HostHardwareCapacityDataValueTelemetry":{"type":"object","required":["cpuPercentage","ramPercentage","diskPercentage"],"properties":{"cpuPercentage":{"type":"number","format":"float","description":"The amount of used CPU power as a percentage of the total amount of CPU power","readOnly":true},"ramPercentage":{"type":"number","format":"float","description":"The amount of used RAM space as a percentage of the total amount of RAM","readOnly":true},"diskPercentage":{"type":"number","format":"float","description":"The amount of used disk space as a percentage of the total amount of space","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/hardwareCapacity":{"get":{"tags":["HostTelemetry"],"summary":"List the historical data of hardware capacity of all your Hosts","operationId":"getTelemetryHostHardwareCapacities","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: fleetId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentEnvironmentId=8881688742569018542&fleetId=1734197255512241679,76243584248556249<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentEnvironmentId%3D8881688742569018542%26fleetId%3D1734197255512241679%2C76243584248556249<br />\nThe final endpoint call would look like: /telemetry/host/hardwareCapacity?filter=deploymentEnvironmentId%3D8881688742569018542%26fleetId%3D1734197255512241679%2C76243584248556249</p>","schema":{"type":"string"}},{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostHardwareCapacityTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/hardwareCapacity/current

> List the current hardware capacity of all your Hosts

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostHardwareCapacityDataValueTelemetry":{"type":"object","required":["cpuPercentage","ramPercentage","diskPercentage"],"properties":{"cpuPercentage":{"type":"number","format":"float","description":"The amount of used CPU power as a percentage of the total amount of CPU power","readOnly":true},"ramPercentage":{"type":"number","format":"float","description":"The amount of used RAM space as a percentage of the total amount of RAM","readOnly":true},"diskPercentage":{"type":"number","format":"float","description":"The amount of used disk space as a percentage of the total amount of space","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/hardwareCapacity/current":{"get":{"tags":["HostTelemetry"],"summary":"List the current hardware capacity of all your Hosts","operationId":"getTelemetryHostHardwareCapacityCurrents","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: fleetId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentEnvironmentId=8881688742569018542&fleetId=1734197255512241679,76243584248556249<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentEnvironmentId%3D8881688742569018542%26fleetId%3D1734197255512241679%2C76243584248556249<br />\nThe final endpoint call would look like: /telemetry/host/hardwareCapacity?filter=deploymentEnvironmentId%3D8881688742569018542%26fleetId%3D1734197255512241679%2C76243584248556249</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostHardwareCapacityDataValueTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/onlineStatus

> List the historical data of status of all your Hosts

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostOnlineStatusHistoryTelemetry":{"type":"object","required":["unit","host"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency","readOnly":true},"host":{"type":"array","items":{"$ref":"#/components/schemas/HostOnlineStatusHistoryHostTypeTelemetry"},"description":"Contains the data object by host type","readOnly":true}},"additionalProperties":false},"HostOnlineStatusHistoryHostTypeTelemetry":{"type":"object","required":["timestamp","data"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/HostOnlineStatusHistoryDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"HostOnlineStatusHistoryDataTelemetry":{"type":"object","required":["hostType","online","install","offline","unknown"],"properties":{"hostType":{"type":"integer","format":"integer","description":"Type of the host e.g 1: Bare metal, 2: Flex metal, 3: Cloud","readOnly":true},"online":{"type":"integer","format":"integer","description":"The number of host with status online","readOnly":true},"install":{"type":"integer","format":"integer","description":"The number of host with status installing","readOnly":true},"offline":{"type":"integer","format":"integer","description":"The number of host with status offline","readOnly":true},"unknown":{"type":"integer","format":"integer","description":"The number of host with status unknow","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/onlineStatus":{"get":{"tags":["HostTelemetry"],"summary":"List the historical data of status of all your Hosts","operationId":"getTelemetryHostOnlineStatuses","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostOnlineStatusHistoryTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/onlineStatus/current

> List the statuses of currently available Hosts

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostOnlineStatusTelemetry":{"type":"object","required":["timestamp","hostType","online","onlinePercentage","install","installPercentage","offline","offlinePercentage","unknown","unknownPercentage","total"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The unix time stamp","readOnly":true},"hostType":{"type":"integer","format":"integer","description":"Type of the host e.g\n* 1: Bare metal\n* 2: Flex metal\n* 3: Cloud","readOnly":true},"online":{"type":"integer","format":"integer","description":"The number of hosts with status online","readOnly":true},"onlinePercentage":{"type":"integer","format":"integer","description":"The percentage of hosts with status online","readOnly":true},"install":{"type":"integer","format":"integer","description":"The number of hosts with status installing","readOnly":true},"installPercentage":{"type":"integer","format":"integer","description":"The percentage of hosts with status installing","readOnly":true},"offline":{"type":"integer","format":"integer","description":"The number of hosts with status offline","readOnly":true},"offlinePercentage":{"type":"integer","format":"integer","description":"The percentage of hosts with status offline","readOnly":true},"unknown":{"type":"integer","format":"integer","description":"The number of hosts with status unknown","readOnly":true},"unknownPercentage":{"type":"integer","format":"integer","description":"The percentage of hosts with status unknown","readOnly":true},"total":{"type":"integer","format":"integer","description":"The total number of hosts","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/onlineStatus/current":{"get":{"tags":["HostTelemetry"],"summary":"List the statuses of currently available Hosts","operationId":"getTelemetryHostOnlineStatusCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostOnlineStatusTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/host/overuse/current

> List of hosts that have traffic overuse

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostTelemetry","description":"Host telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostOveruseTelemetry":{"type":"object","required":["hostId","hostName","orderedBandwidth","usedBandwidth"],"properties":{"hostId":{"type":"integer","format":"integer","description":"The ID of the host","readOnly":true},"hostName":{"type":"string","format":"","description":"The name of the physical machine","readOnly":true},"orderedBandwidth":{"type":"number","format":"float","description":"Allowed bandwidth of the host","readOnly":true},"usedBandwidth":{"type":"number","format":"float","description":"Used bandwidth of the host","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/host/overuse/current":{"get":{"tags":["HostTelemetry"],"summary":"List of hosts that have traffic overuse","operationId":"getTelemetryHostOveruseCurrents","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostOveruseTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/hosttelemetry-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
